Bug 107166 - rpc mount export: RPC: Timed out
Summary: rpc mount export: RPC: Timed out
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils   
(Show other bugs)
Version: 3.0
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-15 16:31 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 13:28:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-10-15 16:31:54 UTC
Description of problem:
I tested with a RedHat EL3B2 guest as a NFS server, and I encountered
the "RPC: Timed out" problem when I did a showmount -e.  I also
experienced the same time out problem when I tested from a different
RedHAT EL3B1 guest to remotely mount a filesytem.  The worst part is
if I don't do a /sbin/service nfs stop after I encountered the
"RPC: Timed out" message, the rpc.mountd would just consume lots of 
processor cycles. 

EL3 Beta One does NOT have this problem!



Version-Release number of selected component (if applicable):
Linux mokcmtc01vipa-lnx00.bankamerica.com 2.4.21-1.1931.2.399.ent #1 SMP Wed 
Aug 20 15:23:46 EDT 2003 s390x s390x s390x GNU/Linux


How reproducible:
[root@mokcmtc01vipa-lnx00 root]# showmount -e
rpc mount export: RPC: Timed out


Steps to Reproduce:
1. NFS mount from a different Linux guest to the exported filesystem also   
   cause the same problem on the Beta 2 guest.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Pete Zaitcev 2003-11-21 05:15:10 UTC
Emil, nobody can reproduce this here, so we'll have to rely on you
to provide the data.

Can you attach strace -p <pid> to the looping rpc.mountd and
attach the trace? You can interrupt strace if trace gets
repeating, it will detach.


Comment 2 Need Real Name 2003-11-24 22:33:00 UTC
I only found the repeat of "select(1024, ..." messages from strace -p 
pid.  It stopped after I issued "service nfs stop".  

select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [3])
Process 832 detached
[root@mokcmtc01vipa-lnx00 root]# nfsstat
Server rpc stats:
calls      badcalls   badauth    badclnt    xdrcall
2          0          0          0          0
Server nfs v2:
null       getattr    setattr    root       lookup     readlink
1      100% 0       0% 0       0% 0       0% 0       0% 0       0%
read       wrcache    write      create     remove     rename
0       0% 0       0% 0       0% 0       0% 0       0% 0       0%
link       symlink    mkdir      rmdir      readdir    fsstat
0       0% 0       0% 0       0% 0       0% 0       0% 0       0%

Server nfs v3:
null       getattr    setattr    lookup     access     readlink
1      100% 0       0% 0       0% 0       0% 0       0% 0       0%
read       write      create     mkdir      symlink    mknod
0       0% 0       0% 0       0% 0       0% 0       0% 0       0%
remove     rmdir      rename     link       readdir    readdirplus
0       0% 0       0% 0       0% 0       0% 0       0% 0       0%
fsstat     fsinfo     pathconf   commit
0       0% 0       0% 0       0% 0       0%

[root@mokcmtc01vipa-lnx00 root]#


Anyway, this problem is no longer existed on EL3 AS. 

Thank you




Comment 3 Karsten Hopp 2004-04-22 13:28:20 UTC
> Anyway, this problem is no longer existed on EL3 AS
I think this report can be closed, right ?

Comment 4 Need Real Name 2004-04-22 16:30:00 UTC
Correct, this report can be closed.
Thank you


Note You need to log in before you can comment on or make changes to this bug.